<div id="alert-penetapan"></div>
#{form @lelang.EvaluasiCtr.submit_penetapan(lelang.lls_id), id:'formPenetapan'}
<table class="table table-sm">
<tr>
   <th width="5" >No</th>
   <th>&{'lelang_evaluasi.peserta'}</th>
   <th>&{'lelang_evaluasi.hg_penawaran'}</th>
   <th>&{'lelang_evaluasi.harga_terkoreksi'}</th>
	#{if showHargaNego}<th> &{'lelang_evaluasi.harga_nego'}</th>#{/if}
	#{elseif isAuction}<th> &{'lelang_evaluasi.hg_reverse2'}</th>#{/elseif}
   #{if lelang.evaluasi.nilai}<th width="100" >&{'lelang_evaluasi.skor_akhir'}</th>#{/if}
   <th width="50">Urutan</th>
</tr>
#{if editable}
 #{list items:pesertaList, as:'pesertaItem'}
    #{set i : pesertaItem_index - 1 /}
	 <tr>
		 <td align="center">${pesertaItem_index} <input type="hidden" name="nilai[${i}]" value="${pesertaItem.nev_id}"/></td>
		 <td>${pesertaItem?.peserta.namaPeserta}</td>
		 <td>${pesertaItem?.nev_harga?.rupiah()}</td>
		 <td>${pesertaItem?.nev_harga_terkoreksi?.rupiah()}</td>
	 	 #{if showHargaNego || isAuction}
	 	 <td>${pesertaItem.nev_harga_negosiasi?.rupiah()}</td>
		 #{/if}
		 #{if lelang.evaluasi.nilai}
		  <td><input type="text" min="1" name="skor[${i}]" style="width:70px;" value="${pesertaItem?.nev_skor}" class="form-control nilaiEvaluasi"/></td>
		 #{/if}
		 <td align="center">
             <input type="number" min="1" name="urutan[${i}]" style="width:70px;" value="${pesertaItem?.nev_urutan}" class="form-control" onkeypress="return isNumberKey(event)"/>
		 </td>
	 </tr>
 #{/list}
#{/if}
#{else}
	#{list items:pesertaList, as:'pesertaItem'}
	<tr>
	    <td align="center">${pesertaItem_index}</td>
	    <td>${pesertaItem?.peserta?.namaPeserta}</td>
	    <td>${pesertaItem.nev_harga?.rupiah()}</td>
        <td>${pesertaItem.nev_harga_terkoreksi?.rupiah()}</td>
		#{if showHargaNego || isAuction}
		<td>${pesertaItem.nev_harga_negosiasi?.rupiah()}</td>
		#{/if}
		#{if lelang.evaluasi.nilai} <td>${pesertaItem.nev_skor}</td> #{/if}
	    <td align="center">${pesertaItem?.nev_urutan}</td>   
	</tr>
	#{/list}
#{/else}
</table>
	#{if editable} #{saveButton /} #{/if}
#{/form}
<div class="bs-callout bs-callout-info">
	&{'lelang_evaluasi.peserta_pertama_tender'}
</div>
#{if editable}

<div class="alert alert-danger" role="alert" id="blacklisted">
    <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
    &{'lelang_evaluasi.tdk_dapat_mengirim_penetapan'}
	(<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>lelang_evaluasi.info_lanjut.</p>
</div>

<div class="alert alert-danger" role="alert" id="confirmation">
    <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
    &{'lelang_evaluasi.spse_maintenance'} (<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>) &{'lelang_evaluasi.spse_maintenance2'}
    <br/><br/>&{'lelang_evaluasi.lanjutkan_pemenang'}</p>
    <br/>
    <button class="btn btn-success" id="yes-confirm">Ya</button>&nbsp;<button class="btn btn-secondary" id="no-confirm">Tidak</button>
</div>

<div class="alert alert-warning" role="alert" id="load">
    <p><h5><strong><i class="fa fa-history" aria-hidden="true"></i>
    &{'lelang_evaluasi.pemeriksaan_daftar_hitam'}.</strong></h5></p>
</div>

#{/if}

<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript">

    new AutoNumeric.multiple('.nilaiEvaluasi', {
        maximumValue: "100",
        minimumValue: "0",
        decimalCharacter: ",",
        digitGroupSeparator: "."
    });

$(document).ready(function(){

    if($('.money').length > 0) {
        new AutoNumeric.multiple('.money', {digitGroupSeparator: '.', decimalCharacter: ','});
    }

	$("#load").hide();

    $('#blacklisted').hide();

    $('#confirmation').hide();

    $('#no-confirm').click(function() {
        $('#confirmation').hide();
        $('button[name="simpan"]').show();
	});

    $('#yes-confirm').click(function() {
        $('#formPenetapan').submit();
    });

	//banyak data
	var mx = ${i = i==null? 0:i};

    $('button[name="simpan"]').click(function() {
	    var valid = true;
	    var nonInt = false;
	    var invalidOrdering = false;
	    var darr = new Array();
	    var arrdup = new Array();
	    for (var x = 0; x <= mx; x++) {
		    var v = $('input[name="urutan[' + x + ']"]').val();
		    if (v != "" && parseInt(v, 10) && v > 0) {
			    darr.push(parseInt(v, 10));
			    if (isDuplicate(darr)) {
				    arrdup = cekDuplicate(darr);
				    valid = false;
				    break;
			    }
		    } else {
			    nonInt = true;
			    valid = false;
			    break;
		    }
	    }

	    if (valid && darr.length > 0) {
		    // check missing number, karena harus berurut, ex : 1,2,3 or 2,1,3 and not 1,2,4
		    var missing = new Array();
		    for (var i = 1; i <= darr.length; i++) {
			    if (!contains.call(darr, i)) {
				    missing.push(i);
			    }
		    }
		    if (missing.length > 0) {
			    invalidOrdering = true;
			    valid = false
		    }
	    }

	    if (valid == false) {
		    var msg = ""
		    if (arrdup.length > 0) {
			    msg += "nomer urut tidak valid, ditemukan angka duplikat : " + arrdup;
		    }
		    if (nonInt == true) {
			    if (arrdup.length > 0) {
				    msg += " dan ";
			    }
			    msg += "Ditemukan huruf bukan integer"
		    }
		    if(invalidOrdering){
			    msg += "Urutan boleh acak namun tidak boleh lompat! \n\nContoh urutan yang benar : 1, 2, 3 atau 2, 1, 3 \nContoh urutan yang salah :  1, 2, 4";
			}
		    //not valid
		    alert(msg);
	    }

		#{if lelang.jumlahPenawar < 3}
			for(var i = 0; i <= mx; i++){
				var a = $('input[name="harga['+i+']"]').val();
                if (a != undefined && (a == 0 || a == null)){
                    alert("Harga Tidak Boleh Kosong");
                    $('input[name="harga['+i+']"]').focus();
                }
			}
		#{/if}
        //pemeriksaan blacklist

		for (var x = 0; x <= mx; x++) {
			var v = $('input[name="urutan[' + x + ']"]').val();
			if (v == 1) {
				var nevId = $('input[name="nilai[' + x + ']"]').val();
				var blacklistUrl = #{jsRoute @lelang.EvaluasiCtr.pengecekanBlacklist(':nevId') /};
                $('button[name="simpan"]').hide();
                $('#load').show();
				$.ajax({
					type: 'POST',
					async: false,
					url: blacklistUrl.url({nevId: nevId}),

					success: function (data) {
						if (data == 2) {
							valid=false;
                            $('#confirmation').show();
						} else if(data==1){
							valid=false;
                            $('#blacklisted').show();
						} else {
                            $('button[name="simpan"]').show();
						}
                        $('#load').hide();
					},

					error: function () {
                        $('#load').hide();
                        $('button[name="simpan"]').show();
						alert('error');
					}
				})

				break;
			}
		}

	    if(valid==true)
            $('#formPenetapan').submit();
		else
			return false;

	});

	#{if lelang.jumlahPenawar < 3}
		//input harga only number
		for(var x=0; x <= mx; x++){
			$('input[name="harga['+x+']"]').keypress(function (e) {
				return isNumberKey(e);
			});
		}
	#{/if}
});
</script>
